### Method

# Gck Object set_template

#### Declaration [src]

    gboolean
    gck_object_set_template (
      GckObject* self,
      gulong attr_type,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Set an attribute template on the object. The attr_type must be for an attribute which contains a template.

If the `attrs` `GckAttributes` is floating, it is consumed.

This call may block for an indefinite period.

#### Parameters

`attr_type`

  Type: `gulong`

  The attribute template type.

`attrs`

  Type: `GckAttributes`

  The attribute template.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation succeeded.